{% extends 'back_office_components/base.html' %} {% block styles %} {{ super()
}} {% endblock %} {% block app_content %}
<div class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-lg-12 table-responsive">
                <table id="table_id" class="table table-striped table-bordered" style="width: 100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ _('Month of Transaction') }}</th>
                            <th>{{ _('Total Transaction') }}</th>
                            <th>{{ _('Total Sold Quatity') }}</th>
                            <th>{{ _('Total Income') }}</th>
                            <th>{{ _('Total Profit') }}</th>
                            <th>{{ _('Detail') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for transaction_report in transaction_reports %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ transaction_report.month }}</td>
                            <td>{{ transaction_report.transaction }}</td>
                            <td>{{ transaction_report.qty }}</td>
                            <td>Rp. {{ transaction_report.income | currency_format }}</td>
                            <td>Rp. {{ transaction_report.profit | currency_format }}</td>
                            <td>
                                <a class="btn btn-xs btn-info"
                                   href="{{ url_for('.transaction_report_by_date', year=transaction_report.year, month=transaction_report.month) }}">{{ _('Detail') }}</a>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %} {% block scripts %} {{ super() }}
<script type="text/javascript">
    /* DataTables */
    $(document).ready(function () {
        var table = $("#table_id").DataTable({
            lengthChange: false,
            buttons: ["copy", "excel", "pdf", "print"],
        });
        table.buttons().container().appendTo("#table_id_wrapper .col-sm-6:eq(0)");
    });
</script>
{% endblock %}
